Skip to main content

Jumio Platform API - Credentials (1.0.2)

Download OpenAPI specification:Download

The Credentials resources let you upload credentials and execute workflows.
Note that each Credential request requires a token that you generate through an Authorization call before starting the session.

Credentials

Manage credentials.

Update part of a credential

Updates a specified part of a credential for a given account.

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique workflow identifier.

credentialId
required
string <uuid>

Unique identifier for the credential.

classifier
required
string

FRONT, BACK, FACE

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token received in response to account create / update.

Request Body schema: multipart/form-data
file
string <binary>

JPEG, PNG (max. size 15 MB and max resolution of 8000 x 8000)

Responses

Response samples

Content type
application/json
{}

Add part to a credential

Adds a part to the specified account credential.

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique identifier of the workflow associated with the target credential.

credentialId
required
string <uuid>

Unique identifier of the credential the part will be added to.

classifier
required
string
Example: BACK

The part classifier.
VALUES: FRONT, BACK, FACE .

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token returned by the account create / update request.

Request Body schema: multipart/form-data
file
string <binary>

JPEG, PNG (max. size 15 MB and max resolution of 8000 x 8000. Longest side must be > 300px.)

Responses

Response samples

Content type
application/json
{}

Upload prepared data

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique workflow identifier.

credentialId
required
string <uuid>

Unique ID of the credential

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token returned by the account create / update request.

Request Body schema: application/json
suffix
string

Title for the subject.

firstName
string

First name of the subject.

middleName
string

Middle name of the subject.

lastName
string

Last name of the subject.

sex
string

Gender of ID subject. M for male and F for female.

dateOfBirth
string <date>

Date of birth in ISO 8601 date format.

socialSecurityNumber
string

SSN of the subject.

nationality
string

Nationality of the subject.

email
string <email>

Primary email address of the subject.

phoneNumber
string

Primary phone number of the subject.

phoneNumber2
string

Alternate phone number of the subject.

personalNumber
string

Personal identification number of the subject.

object (address)
object (idDetails)

Personal details as they appear on the identifying document or ID card.

object (kycDetails)
object (bankDetails)
object (businessInformation)

Responses

Request samples

Content type
application/json
{
  • "suffix": "Mr, Mrs, Ms",
  • "firstName": "Elroy",
  • "middleName": "Percival",
  • "lastName": "Jetson",
  • "sex": "M",
  • "dateOfBirth": "2021-12-23",
  • "socialSecurityNumber": "3387462834",
  • "nationality": "FRA",
  • "email": "elroy.jetson@spacely.com",
  • "phoneNumber": "2134445678",
  • "phoneNumber2": "3109992939",
  • "personalNumber": "string",
  • "address": {
    },
  • "id": {
    },
  • "kyc": {
    },
  • "bank": {
    },
  • "business": {
    }
}

Response samples

Content type
application/json
{}

Upload a document

Uploads a specified document (image(s)/single pdf).

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique workflow identifier.

credentialId
required
string <uuid>

Unique credential identifier

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token returned by the account create / update request.

Request Body schema: multipart/form-data
file
string <binary>

Responses

Response samples

Content type
application/json
{}

Workflow Execution

Execute workflow.

Finalize acquisition process

Finalize the acquisition process and start the workflow.

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique workflow identifier.

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token which has been received on the account create update

Responses

Response samples

Content type
application/json
{}

Deletion

Delete sensitive information from workflow records.

Delete a part from a credential

Deletes a specified part of a credential for a given account.

IMPORTANT: Deleted data is not retrievable. Contact support for more details on data retention configuration options.

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique identifier of a particular instance of workflow execution.

credentialId
required
string <uuid>

Unique identifier of the credential containing the part to be deleted.

classifier
required
string

Classifier of the part to be deleted.
VALUES: FRONT, BACK, FACE

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token returned by account create / update

Responses

Response samples

Content type
application/json
{}

Delete all pages

Delete all pages.

IMPORTANT: Deleted data is not retrievable. Contact support for more details on data retention configuration options.

Authorizations:
BearerAuth
path Parameters
accountId
required
string <uuid>
Example: bbf3a261-9bf9-400c-b218-cd275596d8d9

Unique account identifier.

workflowExecutionId
required
string <uuid>

Unique workflow identifier.

credentialId
required
string <uuid>

Unique credential identifier.

header Parameters
User-Agent
string

Value for the User-Agent header

Authorization
required
string

OTP token returned by the account create / update request.

Responses

Response samples

Content type
application/json
{}